function fio = addSubSeq(fio, seq, ind)
% addSubSeq   add a subsequence definition to this frameIo object
%
% fio = addSubSeq(fio, seq, ind(o))
% seq is an array of indecies of files OR a cell array of partial filenames
% ind (optional) is the initial current index into this array
  
  if(exist('ind')~=1)
    ind = 1;
  end
  
  subseq = [];
  if(isstr(seq))
    seq = {seq};
  end
  
  if(iscellstr(seq))
    for i=1:length(seq)
      if(seq{i}(1)=='^')
	if(length(fio.prefix) & strncmp(seq{i}, fio.prefix, length(fio.prefix)))
	  st = [fio.prefix seq{i}(2:end)];
	else
	  st = seq{i}(2:end);
	end
	n = strmatch(st, fio.dirlist);
	if(length(n)>0)
	  subseq = [subseq n'];
	end 
      else
	for j=1:length(fio.dirlist)
	  if(findstr(fio.dirlist{j},seq{i}))
	    subseq = [subseq j];
	  end
	 %
	 % if(regexp(fio.dirlist{j},seq{i}))
	 %   subseq = [subseq j];
	 % end
	end
      end
    end    
  else
    subseq = seq;
  end
  
  fio.subseqs{end+1} = subseq;
  fio.subseqind(end+1,1) = ind;
