% Cache handling routines. 
% (c) Andras Ferencz, 2002
%
% Given a cache directory, these routines simplify the process of saving
% computed data for later use. findCacheDir finds and creates a cache
% directory given a base directory (which is often where the original data
% is). readCache, writeCache, and checkCache find the right file based on
% the strings dataType (what computation was performed), dataName (on what
% data), and fileType (what format the cache file should be), and read it
% returning data, write to it given data, or check for its existance.
% cacheWrap gets a dataName and function handle + arguments, and calls the
% function if the its output has not been cached already writing its output
% to the cache, or just returns the cached data without calling the
% function.  Be careful, as it does not verify if the arguments to the
% function were the same! 
%
% Basic reading/writing:
% cacheName    make filename for cache item (dataName/dataType) combination
% readCache    read cache item
% writeCache   write a cache file
%
% Cache maintanance:
% checkCache   check if dataType/dataName is in cache
% clearCache   clear the cache of all files that match
% findCacheDir given a path to the data, finds a good cache directory to use
% lsCache      list cache contents
%
% Function wrapper:
% cacheWrap    wraper for caching output of functions 



