function varargout = cacheWrap(fio, dataName, func, varargin)
% cacheWrap  wraper for caching output of function   
%
% varargout = cacheWrap(cachePath/fio, dataName, func, varargin)
%  first parameter is a frameIo class, path, or 0 (assumes global gCacheBase directory)
%  dataName is a label string for the input data or ''
%  func is a function handle
%  varargin are the arguments to the function
%  caches and returns all the output arguments requested
  
  ff = functions(func);
  result = readCache(fio, ff.function, dataName);
  if(isa(result, 'struct') | isa(result, 'cell') | any(result(:)))
    % if this is a cell array, we assume its the output argument list
    if(isa(result,'cell'))
      varargout = result;
    else
      varargout{1} = result;
      end
      if(length(varargout)>=nargout)
	return;
      end
  end

  disp(['computing ' ff.function]);
  switch (nargout)
   case 1
    r{1} = feval(func, varargin{:});
   case 2
    [r{1} r{2}] = feval(func, varargin{:});
   case 3
    [r{1} r{2} r{3}] = feval(func, varargin{:});
   case 4
    [r{1} r{2} r{3} r{4}] = feval(func, varargin{:});
   case 5
    [r{1} r{2} r{3} r{4} r{5}] = feval(func, varargin{:});
   case 6
    [r{1} r{2} r{3} r{4} r{5} r{6}] = feval(func, varargin{:});
   case 7
    [r{1} r{2} r{3} r{4} r{5} r{6} r{7}] = feval(func, varargin{:});
   case 8
    [r{1} r{2} r{3} r{4} r{5} r{6} r{7} r{8}] = feval(func, varargin{:});
  end
  
  if(exist('fio')==1 )   
    writeCache(fio, r, ff.function, dataName);
  end  
  
  varargout = r;