function varargout = cacheWrapCheck(fio, dataName, func)
% cacheWrapCheck  wraper for retreiving cached output of function (but does not call func)   
%
% varargout = cacheWrap(cachePath/fio, dataName, func)
%  first parameter is a frameIo class, path, or 0 (assumes global gCacheBase directory)
%  dataName is a label string for the input data or ''
%  func is a function handle
%  returns all the output arguments requested, or returns 0 in each if 
%  no cached copy found
  
  ff = functions(func);
  result = readCache(fio, ff.function, dataName);
  if(isa(result, 'struct') | isa(result, 'cell') | any(result(:)))
    % if this is a cell array, we assume its the output argument list
    if(isa(result,'cell'))
      varargout = result;
    else
      varargout{1} = result;
    end
    if(length(varargout)>=nargout)
      return;
    end
  end

  for i=1:nargout
    varargout{i} = 0;
  end
