function cachepath = findCacheDir( inpath )
% findCacheDir  given a path to the data, finds a good cache directory to use
%
% outpath = findCacheDir( inpath )
% the cache directory will be either 
%   inpath/.cache 
% or 
%   gCacheBase/inpath/.cache 
% depending on the permissions of inpath/.cache. The directory is then created.
  
  
  if(isdir(inpath))
    cachepath = inpath;
  else
    cachepath = [inpath '.cache'];
  end
  unix(['mkdir -p ' cachepath '/.cache']);

  fid = fopen([cachepath '/.cache/readme.txt'],'w');
  
  if(fid==-1)
    global gCacheBase;
    if(exist('gCacheBase')~=1)
      error(['Could not write into ' cachepath ', and no global cache base.']);
    end
    cachepath = [gCacheBase '/' inpath];
    unix(['mkdir -p ' cachepath '/.cache']);
    fid = fopen([cachepath '/.cache/' readme.txt],'w');
    if(fid==-1)
      error(['Could not write into ' inpath ' or ' cachepath '.']);
    end
  end
  
  fprintf(fid, ['Mobilmat cache directory for ' inpath '\n']);
  fclose(fid);
  unix(['chmod -Rf a+rwx ' cachepath '/.cache']); 
  
  