function [m, v] = histc2moments(h, c, dir)
% compute first 2 moments for each column for the 2-D hist h as returned by histc2
  
  if(nargin<2)
    [X,Y] = meshgrid(1:size(h,2), 1:size(h,1));
  else
    X = c(:,:,2);
    Y = c(:,:,1);
  end
  
  if(nargin<3 | dir==0)
    m = sum(Y.*h,1)./sum(h,1);
    for i=1:size(h,2)
      v(1,i)=var(Y(:,1), h(:,i));
    end
    
    if(nargout==0)
      hold on;
      mplot(X(1,:), m, 'r');
      mplot(X(1,:), m+sqrt(v), 'g--');
      mplot(X(1,:), m-sqrt(v), 'g--');
      hold off;
    end
  else
    m = sum(X.*h,2)./sum(h,2);
    for i=1:size(h,1)
      v(i,1)=var(X(1,:), h(i,:));
    end
    
    if(nargout==0)
      hold on;
      mplot(m, Y(:,1), 'r');
      mplot(m+sqrt(v), Y(:,1), 'g--');
      mplot(m-sqrt(v), Y(:,1), 'g--');
      hold off;
    end
    
  end
