function [data, metadata] = fileRead(filename, varargin)
% fileRead   read all sorts of data
% [data,metadata] = fileRead(filename, readParams(o))
% or
% [data,metadata] = fileRead(filename, readParams(o));

  readParams = makeParams('num', -1, varargin{:});
  
  if(isstr(readParams.num)) 
    filename = [filename '/' readParams.num];
    readParams.num=0;
  end

  metadata={};
  switch filename(end-2:end)
   case {'pgm','pnm','ppm', 'pbm','bmp','jpg','tif','peg'}
    [data,metadata] = imFileRead(filename, readParams);
   case {'.gz'}
    tmpfn = ['/tmp/matlabtmp' filename(max(1,end-7):end-3)];
    unix(['gunzip -c ' filename ' > ' tmpfn]);
    [data,metadata] = fileRead(tmpfn, readParams);
    delete(tmpfn);
   case {'avi'}
    c = getAviFrames(filename, readParams.num, readParams.num);
    data = c{1};
   otherwise
    fname = [filename(end-2:end) 'FileRead'];
    if(~isempty(which(fname)))
      data = feval(fname,filename,readParams);
    else
      try 
	data = load(filename);
	if(isa(data, 'struct') & isfield(data, 'data'))
	  data = data.data;
	end
      catch
	error(['Unable to read ' filename]); 
      end
    end
  end
  
 
