function [fpyr, ch, combineGH] = oddFilterPyr(ipyr, ch, useabs,FB) 
% oddFilterPyr  
%
% [fpyr, ch] = oddFilterPyr(ipyr, ch, useabs(o)) 
% ch is the number of channels to use:
% ch < 0 means combine the odd and even filters
% 0 < ch < 8 means use filters ch+1 -> 2*ch (the odd filters)
% ch > 8 means use filters 1-ch. 
% useabs decides if we are to return the abs value of the conv
%  (optional, defult==0)
  
  %if not pyramid input
  if(strcmp(class(ipyr),'cell')==1)
    pyr = ipyr;
  else
    pyr{1}=ipyr;
  end
  
  if(nargin<3)
    useabs = 0;
  end
  
  if(nargin<4 | ~any(FB(:)))
    load FB6.mat;
  end
  combineGH=0;
  if(ch<0)
    combineGH=1;
    ch=-ch;
  end
  
  both = 0;
  if(ch<8)
    s = ch;
  else
    s = ch/2;
    both = 1;
  end
  
  if(length(ch)==1)
    ch = linspace(-pi/2, pi/2, ch+1);
    ch = ch(1:end-1);
  end
  
  for l=1:length(pyr)
    im = mean(pyr{l},3);
    if(~combineGH)
      for i=1:length(ch);
	fpyr{l}(:,:,i,1) = conv2(im, FB(:,:,s+i), 'same');
      end
      if(both)
	for i=1:length(ch);
	  fpyr{l}(:,:,i,2) = conv2(im, FB(:,:,i), 'same');
	end
      end
    else
      error('not implemented');
    end
    if(useabs)
      fpyr{l} = abs(fpyr{l});
    end
  end
  
  if(strcmp(class(pyr),'cell')==1)
    fpyr = fpyr{1};
  end
  