function pyr = pyramid(im,lev)
% pyramid   make image pyramid out of image
%
% pyr = pyramid(im,lev)
% makes an image pyramid pyr{1..lev} (cell array of images)
%  from image im up to lev levels high. pyr{1}==im;
%  im can have multiple channels
%  see reduce for reduction method
  
  s = size(im);
  lev = min(lev, floor(log2(min(s(1:2)))-2));
  
  pyr{1} = im;
  
  for i=2:lev
    for j=1:length(pyr{i-1}(1,1,:))
      pyr{i}(:,:,j) = reduce(pyr{i-1}(:,:,j));
    end	
  end	