function showFiltered(fim,th, fig, mask)
% showFiltered(fim,th, fig, mask)  
% fim   steerFilteredImage (theta, G2^2, H2^2)
% th    (opt) threshold on energy=sqrt(G2^2+H2^2)
% fig   (opt) fignum
% mask  (opt) a bitmask to slect (in addition to th) what to show
  
  energy = sqrt(fim(:,:,2)+fim(:,:,3));
  if(nargin<2)
    th = median(energy(:))*4;
  end
  if(nargin>=3)
    figure(fig)
  end
  if(nargin<4)
    mask=1;
  end
  colormap(jet);
  phase = abs(atan2(fim(:,:,3),fim(:,:,2)));
  subplot(1,3,1);
  imagesc(energy); axis image; colorbar; title('energy');
  mask = (mask).*(energy>th);
  subplot(1,3,2);
  imagesc(phase.*mask); axis image; colorbar; title('Phase');  
  subplot(1,3,3);
  imagesc((fim(:,:,1)+pi/2+1.0).*mask);
  axis image;  colorbar; title('Theta');
