

function [G2,H2] = steer(theta,basis)

%[G2,H2] = steer(theta,basis)
%% returns the filter response steered at a particular
%% angle theta over the whole image plane.  theta can
%% be either a matrix the same size as the image or a
%% scalar value.  in the case of a scalar value then
%% we return the response at that angle everywhere
%%
%% charless fowlkes, 2000

  if (size(theta) == 1) 
    theta = theta*ones(size(basis.Ga));
  end;

  ct = cos(theta);
  st = sin(theta);

  G2 = ct.*ct.*basis.Ga - 2.*ct.*st.*basis.Gb + st.*st.*basis.Gc;
  H2 = ct.*ct.*ct.*basis.Ha - 3.*ct.*ct.*st.*basis.Hb ...
         + 3.*ct.*st.*st.*basis.Hc - st.*st.*st.*basis.Hd;

  

