function bgim = makeBGim(fio, filterFunc, varargin)

  if(exist('filterFunc'))
    ff = functions(steerFilterPyr);
    dataName = ['bgim_' ff.function];
  else
    dataName = 'bgim';
  end
  cache = readCache(fio, dataName);
  if(cache)
    bgim = cache;
    return;
  end
  
  fprintf('BGim: ');
  ch = size(fio(1),3)
  for i=1:ch
    for j=1:length(fio)
      [im, name] = getIm(fio,-1,j);
      fprintf('%s ', name);
      if(exist('filterFunc'))
	im = feval(filterFunc,im,varargin{:});
      end
      tmp(:,:,j) = im(:,:,i);
    end
    bgim(:,:,i) = median(tmp,3);
  end

  writeCache(fio, dataName);  
  disp('done');