function varargout = cacheWrap(gfio, imName, func, varargin)
% varargout = cacheWrap(gfio, imName, func, varargin)
%  gfio is a frameIo class or 0
%  imName is an image name or ''
%  func is a function handle
%  varargin are the arguments to the function
%  caches and returns all the output arguments requested
  
  
  if(~isa(gfio, 'frameIo'))
    clear gfio;
    global gfio;
  end
  
  if(exist('gfio')==1 ) 
    ff = functions(func);
    try
      result = readCache(gfio, ff.function, imName);
      if(isa(result, 'struct') | isa(result, 'cell') | any(result(:)))
	% if this is a cell array, we assume its the output argument list
	if(isa(result,'cell'))
	  varargout = result;
	else
	  varargout{1} = result;
	end
	if(length(varargout)>=nargout)
	  return;
	end
      end
    catch
      disp('[Error reading]');  
    end
    %disp(varargin);
  end

  disp(['computing ' ff.function]);
  switch (nargout)
   case 1
    r{1} = feval(func, varargin{:});
   case 2
    [r{1} r{2}] = feval(func, varargin{:});
   case 3
    [r{1} r{2} r{3}] = feval(func, varargin{:});
   case 4
    [r{1} r{2} r{3} r{4}] = feval(func, varargin{:});
   case 5
    [r{1} r{2} r{3} r{4} r{5}] = feval(func, varargin{:});
   case 6
    [r{1} r{2} r{3} r{4} r{5} r{6}] = feval(func, varargin{:});
   case 7
    [r{1} r{2} r{3} r{4} r{5} r{6} r{7}] = feval(func, varargin{:});
   case 8
    [r{1} r{2} r{3} r{4} r{5} r{6} r{7} r{8}] = feval(func, varargin{:});
  end
  
  if(exist('gfio')==1 )   
    writeCache(gfio, r, ff.function, imName);
  end  
  
  varargout = r;