function showims(ims, start,n,skip,fignum,lev,titletext,imnums)
%showims(ims, start,n,skip,fignum,imnums)
%show images in cell array or frameIo ims in an n-by-n grid, starting
%at frame "start", showing ever skip frames. display in figure
% number figurenum, or 2 by default.

if(nargin<6)
  lev = 1;
  if(nargin<5)
    fignum=2;
    if(nargin<4)
      skip=1;
    end
  end
end


  
h=figure(fignum);
clf
colormap(gray);
if(isa(ims, 'frameIo'))
  pyr = 0;
else
  pyr = strcmp(class(ims{1}),'cell');
end
for i=start:skip:min(start+skip*n*n-skip,length(ims));
  subplot(n,n,(i-start)/skip+1);
  if(pyr)
    im = ims{i}{lev};    
  else
    im = ims{i};
  end	
  if(length(im(1,1,:))==1)
    image(double(im)*64);
  else
    imagesc(im);
  end
  colorbar; axis image;
  if(nargin>6)
    title(int2str(imnums(i,:)));
  else
    title(int2str(i));
  end
end

if(nargin>6)
  set(h,'name',titletext);
else
  set(h,'name',['Showims: ' int2str(n) ]);
end
