% Gabor transform toolbox for MATLAB 5.0 or higher
%
% These Matlab functions implement the multiscale image representation based
% on Gabor functions as described in
% &quot;Efficient spatial-domain implementation of a multiscale image 
% representation based on Gabor functions&quot;,
% by O. Nestares, R. Navarro, J. Portilla and A. Tabernero. Journal of
% Electronic Imaging, in press.
%
% Main functions:
%	<A HREF = "../1.gaborpyr/gabsppyr.html">GABSPPYR</A> - Gabor spatial pyramidal decomposition
%	<A HREF = "../1.gaborpyr/invgab.html">INVGAB</A>   - Inverse Gabor transform (image reconstruction)
%
%+-------------------------------------------------------+
%| Oscar Nestares.                                       |
%|                                                       |
%| Instituto de Optica. (C.S.I.C.)                       |
%| Serrano 121. Madrid, Spain. 28006.                    |
%| Phone: (+341) 561 68 00.      Fax: (+341) 564 55 57.  |
%|                                                       |
%| e-mail: oscar@pixar.optica.csic.es                    |
%| WEB	: http://www.optica.csic.es/oscar.html           |
%+-------------------------------------------------------+
%

