function [center, brect] = findBoundRect(binim)
  xvec = sum(binim,1);  
  yvec = sum(binim,2)';
  s = size(binim);
  
  % find the center of the "on" points
  tot = sum(xvec);
  cx = max(find(cumsum(xvec)<tot/2));
  cy = max(find(cumsum(yvec)<tot/2));
  
  %find the bounding box of the "on" points by looking 
  % for the first almost empty row/column outside of the
  % 1/4-3/4 ths range
  x1 = max(find(cumsum(xvec)<tot/4));
  x2 = max(find(cumsum(xvec)<3*tot/4));
  y1 = max(find(cumsum(yvec)<tot/4));  
  y2 = max(find(cumsum(yvec)<3*tot/4));  
  xrange = [max([1 find(xvec(1:x1)<1)]) x2+min([find(xvec(x2+1:end)<1) s(2)-x2])];
  yrange = [max([1 find(yvec(1:y1)<1)]) y2+min([find(yvec(y2+1:end)<1) s(1)-y2])];

  center = [ cy cx ];
  brect = [yrange' xrange'];