function imagegr(im)
% imagegr(im) draws the image with trueColor (ignoring the colormap). 
% if image is not 3-channel, it makes a 3-channel image from 1st
% channel. Usefull for showing a grayscale image in grayscale when
% colormap is set to something other than gray. For all image types, 
% does any scale normalization that is needed. Does not handle
% negative values. 
  
  
  if(isa(im, 'uint8'))
    if(size(im,3)==3)
      image(im);
    else
      image(repmat(im(:,:,1), [1 1 3]));
    end
  elseif(size(im,3)==3)
    image(im/max(1.0, max(im(:))));
  else
    image(repmat(im(:,:,1), [1 1 3])/max(1.0, max(max(im(:,:,1)))));
  end
