function im = myimread(name, rot, reduceit) 
 
  try
    fmt = name(end-2:end);
    if(strcmp(fmt,'pgm'))
      im = double(pgmread(name));
    elseif (strcmp(fmt,'pnm') | strcmp(fmt,'ppm'))
      im = double(ppmread(name));
    elseif (strcmp(fmt,'mat'))
      S = struct2cell(load(name));
      im = S{1};
    else
      im = double(imread(name));
    end
  catch
    warning(['MyImRead: no such file: ' name]);
    im = 0;
    return
  end
  
  channels = size(im,3);
  if(exist('reduceit') & reduceit)
    if(reduceit<0)
      for i=-1:-1:reduceit
	for c=1:channels
	  tim(:,:,c)=enlarge(im(:,:,c));
	end
      end
    else
      for i=1:reduceit
	for c=1:channels
	  tim(:,:,c)=reduce(im(:,:,c));
	end
      end      
    end
    im = tim;
    clear tim;
  end
  
  if(exist('rot') & rot)
    if(rot>3)
      for c=1:channels
	im(:,:,c) = flipud(im(:,:,c)); 
      end
    end
    if(mod(rot,4)>0)
      for c=1:channels
	tim(:,:,c) = rot90(im(:,:,c),rot);
      end
      im = tim;
      clear tim;
    end
  end
  
