function showImd(imd, fignum, str)
  
  if(exist('fignum')~=1)
    fignum = -1;
  end
  
  if(exist('str'))
    if(str(1:2)=='im')
      parseFignum(fignum, 1);
      showImage(imd);
    end
    if(str(1:2)=='te')
      figp = parseFignum(fignum, 3);
      showTef(imd, figp);
    end
    if(str(1:2)=='ch')
      figp = parseFignum(fignum, 3);
      showChannelsE(imd, figp);
    end
  else 
    num = any(imd.im(:))+3*(any(imd.tefim(:))|any(imd.fim(:)))+...
	  any(imd.fgmask(:))+any(imd.ffgmask(:))+...
	  any(imd.edgeMask(:))+ ...
	  any(imd.fchannels(:))*size(imd.fchannels,3)*(1+(imd.idtype.use_steer_channels&~imd.combineGH));
    figp = parseFignum(fignum, num);
    c=0;
    if(any(imd.im(:)))
      showImage(imd);
      c=c+1;
    end
    if(any(imd.tefim(:))|any(imd.fim(:)))
      n = showTef(imd, figp+[0 0 c]);
      c = c+n;
    end
    if(any(imd.fgmask(:)))
      subplot(figp(1), figp(2), figp(3)+c);
      imagesc(imd.fgmask); axis image; 
      title('fgmask');
      c=c+1;
    end
    if(any(imd.ffgmask(:)))
      subplot(figp(1), figp(2), figp(3)+c);
      imagesc(imd.ffgmask); axis image; 
      title('ffgmask');
      c=c+1;
    end
    if(any(imd.edgeMask(:)))
      subplot(figp(1), figp(2), figp(3)+c);
      imagesc(imd.edgeMask); axis image;
      title('edgeMask');
      c=c+1;
    end
    if(any(imd.fchannels(:)))
      if(~imd.idtype.use_steer_channels | imd.combineGH)
	c = c+showChannelsE(imd, figp+[0 0 c]);
      else
	c = c+showChannelsGH(imd, figp+[0 0 c]);
      end
    end
  end
  set(gcf, 'name', imd.name);
  

% local display functions for various image types
  
function showImage(imd)
  if(size(imd.im,3)==1)
    tim = zeros([size(imd.im) 3]);
    tim(:,:,1) = imd.im;tim(:,:,2) = imd.im; tim(:,:,3) = imd.im; 
    imagesc(tim); axis image;
  else 
    imagesc(imd.im); axis image;
  end
  if(any(imd.brect(:)))
    hold on;  drawRect(imd.brect);  hold off;
  end
  title('im');

  
function n = showTef(imd, figp)
  tefim = imd.tefim;
  if(~any(tefim(:)))
    tefim = fim2tefim(imd.fim);
  end
  subplot(figp(1), figp(2), figp(3));
  imagesc((tefim(:,:,1)+(pi/2+0.1)).*(tefim(:,:,2)>0.1)); 
  axis image; colorbar;
  title('theta');
  subplot(figp(1), figp(2), figp(3)+1);
  imagesc(sqrt(min(1.0,tefim(:,:,2)))); 
  axis image; colorbar;
  title('energy^2');
  subplot(figp(1), figp(2), figp(3)+2);
  imagesc(tefim(:,:,3).*(tefim(:,:,2)>0.1)); 
  axis image; colorbar;
  title('phase');
  n = 3;
  
  
function n = showChannelsE(imd, figp)
  n = size(imd.fchannels,3);
  for i=1:n
    subplot(figp(1), figp(2), figp(3)+i-1);
    imagesc(imd.fchannels(:,:,i,1));
    axis image; colorbar;
    title(['fdir=' num2str(imd.chdir(i))]);
  end
  
function c = showChannelsGH(imd, figp)
  n = size(imd.fchannels,3);
  c=0;
  for i=1:n
    subplot(figp(1), figp(2), figp(3)+c);
    imagesc(imd.fchannels(:,:,i,1));
    axis image; colorbar;
    title(['G fdir=' num2str(imd.chdir(i))]);
    c=c+1;
  end
  for i=1:n
    subplot(figp(1), figp(2), figp(3)+c);
    imagesc(imd.fchannels(:,:,i,2));
    axis image; colorbar;
    title(['H fdir=' num2str(imd.chdir(i))]);
    c=c+1;
  end