function [labelDist, labelPos, labels] = computePt2LabelDist(fio, ptlist, labels)
% ptlist(j,:) format = [fnum y x]
  
  if(exist('labels')~=1)
    labels = faceLabels;
  end
  nlabels = length(labels);
  frameInd = unique(ptlist(:,1))';
  labelDist(:,:,1) = ptlist(:,1:2); 
  labelDist(:,:,2) = ptlist(:,[1,3]); 
  labelDist = [labelDist  zeros(size(ptlist,1),nlabels,2)];
  startCol = 3;
  labelPos = [];
  for f=frameInd
    name = getName(fio, -1, f);
    lp = readCache(fio, 'labeled', name, 1);
    if(~any(lp(:)))
      error(['No labeled data for image ' name]);
    end
    rows = find(labelDist(:,1)==f);
    labelDist(rows,startCol:end,1) = ...
	repmat(lp(:,1)', [length(rows) 1]) - ...
	repmat(labelDist(rows, 2), [1 nlabels]);	
    labelDist(rows,startCol:end,2) = ...
	repmat(lp(:,2)', [length(rows) 1]) - ...
	repmat(labelDist(rows, 3), [1 nlabels]);
    labelPos = [labelPos; reshape(lp, [1 nlabels 2])];
  end 