function imagexy(im, maskim, mskrng)
% imagexy  calls imagegr; axis image, xy
%
% imagexy(im); 
  
  if(isa(im, 'uint8'))
    im = im2double(im);
  end
  
  if(size(im,3)==3)
    im3 = (im/max(1.0, max(im(:))));
  else
    mr = [min(im(:)) max(im(:))];
    if(mr(1)<0 | (mr(2)-mr(1))<0.4) % if min(im) negative, or small dynamic range... 
      im3 = repmat((im-mr(1))./(mr(2)-mr(1)+eps),  [1 1 3]);
    else
      im3 = (repmat(im(:,:,1), [1 1 3])/max(1.0, max(max(im(:,:,1)))));
    end
  end

  if(nargin>1 & any(maskim(:)))
    maskim = double(maskim);
    if(nargin<3 | length(mskrng)<2)
      mr = [min(maskim(maskim~=0)) max(maskim(maskim~=0))];
    else
      mr = mskrng;
    end
    cm=colormap; lc = size(cm,1);
    for i=1:3
      aa=im3(:,:,i);
      % maskim values normalized to [0..1]
      val=max(0, min(1, (maskim(maskim~=0)-mr(1)+eps)./(mr(2)-mr(1)+2*eps)));
      aa(maskim~=0) = cm(1+floor((lc-1)*val), i);
      im3(:,:,i) = aa;
    end
  end
  
  image(im3);
  axis image; axis xy;
  
