function Sout = mergeStructs(S1, S2, recurse)
% mergeStructs  merge structrures into 1 struct
%
% Sout = mergeStructs(S1, S2, recurse)
%
% if S1 and S2 have some of the same fields, S2's values win
%
% recurse - (o) if 1, then when both S1.field and S2.field contains a structure 
% we call mergeStructs on this field (default=1)
  
  if(nargin<3)
    recurse=1;
  end
  
  c = struct2cell(S2); 
  f = fieldnames(S2);
  for i=1:length(c)
    % if both fields are structs, merge
    if(recurse & isstruct(c{i}) & isfield(S1, f{i}) & ...
      isstruct(getfield(S1, f{i})))
      S1 = setfield(S1, f{i}, mergeStructs(getfield(S1, f{i}), c{i}));
    else
      S1 = setfield(S1, f{i}, c{i});
    end
  end
  Sout=S1;
