function B = repiperm(A, iperm, S)
% position matrix A insize larger matrix of size S
%
% B = repperm(A, iperm, S)
% where perm is a permutation (see perute)
%       S is the size of the final matrix 
%       (in S, the dimensions where C=ipermute(A, perm) is larger than 1
%        are ignored and the size of C is used instead)
%  ex:
%    B = repperm([1 2 3], [1 3], [1 2 3 4]);
%    B will be 1x2x3x4 where elements along all dimensions except 3 are the same
  
  
  
  p = 1:max(2,max(iperm));
  p(iperm)=0;
  iperm1=[iperm p(p>0)]
  
  C = permute(A, iperm1);
  Cs = size(C);
  S(find(Cs>1))=1;
  B = repmat(C, S);
  
  
  
