function B = repperm(A, perm, S)
% position matrix A insize larger matrix of size S
%
% B = repperm(A, perm, S)
% where perm is a permutation (see perute)
%       S is the size of the final matrix 
%       (in S, the dimensions where C=permute(A, perm) is larger than 1
%        are ignored and the size of C is used instead)
%  ex:
%    B = repperm([1 2 3], [1 3 4 2], [1 2 3 4]);
%    B will be 1x2x3x4 where elements along all dimensions except 3 are the same
  
  
  As1 = size(A);
  As = ones(length(perm),1); As(1:length(As1))=As1;
  Ns = As(perm);
  
  %assert(Ns==1 | (Ns == S(1:length(Ns))), 'repperm: sizes do not match');   
  S(find(Ns>1))=1;
  C = permute(A, perm);
  B = repmat(C, S);
  
  
  
