function S = setStructDefaults(S, varargin)
% setStructDefaults  set values in S only if the fields don't already exist
%
% S = setStructDefaults(S, 'fieldname1', value1, ...)
%
% this just does a setfield, but only if the field does not already exist
% in S. Useful for setting default values.
  
  if(~isstruct(S))
    S = struct('junk',1);
  end
  
  for i=1:2:(nargin-2)
    if(~isfield(S, varargin{i}))
      S = setfield(S, varargin{i}, varargin{i+1});
    end
  end
