function d = chisquare(a, b)
  
  assert(size(a,1)==size(b,1) & size(b,1)>1, 'chisquare: a, b column length must match.');
  assert(min(a(:))>=0 & min(b(:))>=0, 'chisquare: elements of a, b must be >=0.');
  
  % normalize vectors in both a and b
  a = a./repmat(sum(a,1)+eps, [size(a,1) 1]);
  b = b./repmat(sum(b,1)+eps, [size(b,1) 1]);
  
  d = zeros(size(a,2), size(b,2));
  for i=1:size(b,2)
    bb = repmat(b(:,i), [1 size(a,2)]);
    d(i,:) = 0.5*sum((a-bb).^2./(a+bb+eps));
  end
  
