% expParamSetup  set up export parameters ExpParam (script)
%
% These paramters are mostly for controling mprint. 
% Also sets up standard line types for plot.  
% type "dbtyp expParamSetup" for more information ... 

global ExpParam;
% colors for use with "plot" : e.g. plot(x,y,ExpParam.cols{mod(i,12)});  
ExpParam.colsC = {'r','g','b','c','m','y','k','r-.','g-.','b-.','c-.','m-.','y-.','k-.'};
% no "y", as it tends not to show up well
ExpParam.colsCNY = {'r','g','b','c','m','k','r-.','g-.','b-.','c-.','m-.','k-.'};
ExpParam.colsGL = {'g-','g:','g-.','g--','y-','y:','y-.','y--','c-','c:','c-.','c--','k-','k:','k-.','k--'};
ExpParam.colsGD = {'g.-','go-','gx-','g<-','y+-','ys-','yd-','y>-','c.-','co-','cx-','cv-','k+-','ks-','kd-','k^-'};
ExpParam.colsCD = {'r.-','go-','bx-','c<-','m+-','ys-','kd-','r>-','g.-','bo-','cx-','mv-','y+-','ks-','rd-.','g^-.'};
ExpParam.cols = ExpParam.colsCNY;
ExpParam.marks = {'o','x','<','+','s','d','>','.','v','^','h','p'};

ExpParam.linew = 4;
ExpParam.fontsize = 18;
ExpParam.markersize = 20;
% printwhat = one of {fig, im, both, none};
ExpParam.printwhat = 'im';
%print jpeg images with quality setting = 95 
ExpParam.printto = '-djpeg95';
% resolution in dpi: 62 is useful for printing to images that will be shown 
% on a screen 
% Use much higher numbers for figures that will be printed / embeded into a document
ExpParam.printopt = {'-r62'};
% the directory into which the printed images will be placed by default
ExpParam.FigDir = '../data/outims';
% trim white space at the edges of the image? {0,1} (works with jpg images only)
% this uses the ImageMagick unix program mogrify with:
% mogrify -trim -fuzz 25%  filename
ExpParam.trimit = 1;



