function mv = makeMovie(ims, resize, fignum,n)
% makeMovie   make a movie from a sequence of images
%
% mv = makeMovie(ims, resize, fignum,n)
%
% ims - sequence of gray images as a 3D matrix 
% resize - (o) resize amount (using imresize)
% fignum - (o) figure number (def. current figure)
% n - (o) number of times to show movie (see movie) (def. 1)

  %ims = im2uint8(ims);
  % resize images if asked for
  if(nargin>2 & any(resize) & resize~=1)
    ims = imresize(ims,resize);    
  end
  
  %make movie
  %for i=1:size(ims,3);
  %  mv(i)=im2frame(ims(:,:,i), gray(256)); 
  %end;
  
  % if we were given a figure number, play it there...
  if(nargin>2 & any(fignum))
    figure(fignum);
  end
    
  %make movie
  for i=1:size(ims,3);
    imagegr(ims(:,:,i)); axis image; 
    mv(i)=getframe;
  end;
  
  if(nargin<4)
    n = 1;
  end
  
  %play movie if n~=0
  if(any(n))
    movie(mv,n);
  end
  