function mdisp(varargin)
% mdisp   display multiple variables (strings, numbers, objects) 
%
% mdisp(v1, v2, ....)
% 
% numbers and strings are placed on the same line while all other
% types are printed on a new line with matlab's disp.

  nl = 0;
  for i=1:nargin
    if(isnumeric(varargin{i}))
      fprintf('%s ', num2str(varargin{i}));
      nl=0;
    elseif(isstr(varargin{i}))
      fprintf(varargin{i}); 
      nl=0;
    else
      if(~nl)
	fprintf('\n');
      end
      disp(varargin{i});
      nl=1;
    end
  end
  if(~nl)
    fprintf('\n');
  end
