function mprint(name, figdir)
% mprint   save current matlab plot to .jpg and/or .fig (uses ExpParam)
%
% mprint(name, figdir)
% name - output file name without directory of extension
% figdir - (o) figdir to use instead of ExpParam.FigDir
%
% This uses the global export parameters variable ExpParam.
% If it does not exist, expParamSetup is called. 
% See expParamSetup for details...
  
  
  global ExpParam;
  if(exist('ExpParam')~=1)
    expParamSetup;
  end
  
  h=gcf;
  if(nargin<2)
    FigDir = ExpParam.FigDir;
  else
    FigDir = figdir;
  end
  if(any(ExpParam.printwhat(1)=='bi')) % (im, both)
    if(ExpParam.printto(3)=='j')
      fn = [FigDir '/' name '.jpg'];
      print(h,ExpParam.printto, ExpParam.printopt{:}, fn);
      if(ExpParam.trimit)
	unix(['mogrify -trim -fuzz 25% ' fn]);
      end
    else
      print(h,ExpParam.printto, ExpParam.printopt{:}, [FigDir '/' name '.eps']);
    end
  end
  %also save it as a figure... (fig, both)
  if(any(ExpParam.printwhat(1)=='bf'))
    hgsave([FigDir '/' name '.fig']);
  end
