function c = toColor(l);
% toColor  convert a letter or number to an rgb color value
%
% c = toColor(l)
%
% l - can be any of
%  char:  r g b c m y k o p u w
%  number: 
%     0<= l <1:  gets color from "jet" colormap
%     otherwise: gets asigned one of the above colors in order, modulo 10
%  if l is an [r g b] color already , then c=l
%  if l = [], then [1 0 0] (red) is returned...
%
% c - [ r g b ] color value, where each number is  0 <= r,g,b <= 1

  
  colors = {'r','g','b','c','m','y','k','o','p','u'};
  if(length(l)==0)
    c = [1 0 0];
    return;
  end
  
  if(isnumeric(l))
    if(length(l)==1)
      if(l>=0 & l<1)
	a = jet;
	c = a(round(l*63)+1,:);
      else
	l=colors{mod(round(l)-1,10)+1};
      end
    elseif(length(l)==3)
      c=l;
      return;
    end
  end
  
  switch l(1)
   case 'r'
    c = [1 0 0];
   case 'g'
    c = [0 1 0];
   case 'b'
    c = [0 0 1];
   case 'c'
    c = [0 1 1];
   case 'm'
    c = [1 0 1];
   case 'y'
    c = [1 1 0];
   case 'k'
    c = [0 0 0];
   case 'o'
    c = [1 0.5 0];
   case 'p'
    c = [1 0 0.5];
   case 'u'
    c = [0.5 0 0.5];
   case 'w'
    c = [1 1 1];
   otherwise
      c = [1 0.5 0];
  end
