function mask = nonMaxSupressForSteer(th, e, mask, nullborder)
% nonMaxSupressForSteer  non max supression for steer filtered images...
% 
% mask = nonMaxSuppress(th, e, mask, nullborder)
%  
%  fim   steer filtered image
%  mask  (opt) mask to AND generated mask with
  
  if(exist('mask')~=1 | length(mask)==1)
    %if no mask, make one where we chop the edges off 
    % (not trustworthy region)
    if(exist('mask'))
      nullborder = mask;
    end
    mask=ones(size(e));
  end

  if(exist('nullborder') & nullborder>0)
    mask(1:nullborder,:)=0;
    mask(:,1:nullborder)=0;
    mask(end-nullborder:end,:)=0;
    mask(:,end-nullborder:end)=0;
  end

%  figure(11)
%  subplot(2,2,1);
%  imagesc(th)
%  subplot(2,2,2);
%  imagesc(e)
%  subplot(2,2,3);
%  imagesc(mask)
  
  vert = abs(cos(th))>abs(sin(th));
  eng = e.*mask;

  mask = mask.*(eng>=([zeros(1,size(eng,2)); eng(1:end-1,:)].*(~vert)));
  mask = mask.*(eng>=([eng(2:end,:); zeros(1,size(eng,2))].*(~vert)));
  mask = mask.*(eng>=([zeros(size(eng,1),1) eng(:,1:end-1)].*vert));
  mask = mask.*(eng>=([eng(:,2:end) zeros(size(eng,1),1)].*vert));
  