function [pts, pmask]= pickFilteredPts(sparseMask, d, th)
% pickFilteredPts   subsample edges for interest points
%
% [pts, pmask]= pickFilteredPts(sparseMask, d, th)
%
%   subsample edges (on pts in sparseMask) 
%   picking point every d pix
%   if opt arg th (direction image), 
%   we subsample only along edge...
  
  if(exist('th'))
    vert = abs(cos(th))>abs(sin(th));
    vm = sparseMask.*vert;
    vmC = conv2(vm, [1 1 1; 1 1 1;0 0 0], 'same');
    pmask = zeros(size(sparseMask));
    pmask(1:3:end,:) = vm(1:3:end,:);
    pmask(3:end,:) =(pmask(3:end,:))|((~vmC(2:end-1,:))&vm(3:end,:));
    hm = sparseMask.*(~vert);
    hmC = conv2(hm, [1 1 1; 1 1 1;0 0 0]', 'same');
    pmask(:,1:3:end) = (pmask(:,1:3:end))|(hm(:,1:3:end));
    pmask(:,3:end) =(pmask(:,3:end))|((~hmC(:,2:end-1))&hm(:,3:end));
  else 
    m = fliplr(tril(ones(2*d-1)));
    m(d,d)=0;
    mmC = conv2(sparseMask,m,'same');
    pmask = sparseMask.*(mmC==0);
    pmask(1:d:end,1:d:end) = sparseMask(1:d:end,1:d:end);
  end
  if(any(pmask(:)))
    [pts(:,1), pts(:,2)] = find(pmask);
  else
    pts = [];
  end