% doTest   Script for calling the on-line parts of the algorithm on the car data
% 
% The functions called are:
%   h_generateCid - generates an identifier for the given model image 
%   c_eval        - evaluates the identifier on a given test image 

clear tstims;
for i = 1:75
  tstims.l{i,1} = [carpath 'w_car_' num2str(100+i,'%03d') '_1_*.jpg'];
  tstims.s{i,1} = [carpath 'w_car_' num2str(100+i,'%03d') '_2_*.jpg'];
  for j=1:5
    tstims.d{i,j} = [carpath 'w_car_' num2str(100+i+j,'%03d') '_2_*.jpg'];
  end
end

changeArgs = {};
clear res;
for i=1:length(tstims.l)
  
  % generate the identifier for this model image
  cid = h_generateCid(hid, tstims.l{i}, changeArgs{:});
  
  % write it to cache for fun
  id_writeCache(cid, ['cid_' cid.pyr{1}.name], para); 
  
  % run on known "same" test images
  for j = 1:size(tstims.s,2)
    res{1}(i,j) = c_eval(cid, tstims.s{i,j});
  end
  
  % run on known "diff" test images
  for j = 1:size(tstims.d,2)
    res{2}(i,j) = c_eval(cid, tstims.d{i,j});
  end
  
end

% draw P-R curve
[llrs, pr] = drawPRCurve(res, 15, 1, 1/15, 10);