% doTrain   Script for calling the off-line training step on the car data
%
% this calls: 
%   t_trainHid  - trains the identifier generator given many 'same' 
%                 and different training image pairs


carpath = '../data/warpims/';

% note: prefix_*.jpg ends up using the middle frame of 
% prefix_01.jpg ... prefix_0n.jpg. Cache name will be
% prefix_x (see id_prepIm and id_prepImCache)

for i = 1:75  
  trims.l{i,1} = [carpath 'w_car_' num2str(i,'%03d') '_1_*.jpg'];
  trims.s{i,1} = [carpath 'w_car_' num2str(i,'%03d') '_2_*.jpg'];
  for j=1:5
    trims.d{i,j} = [carpath 'w_car_' num2str(i+j,'%03d') '_2_*.jpg'];
  end
end

changePara ={'pyr_scales', [1 1], 'patch_spacing', [20 12; 18 18],  ...
	     'cache_verbose', 1, 'show_glm_opt', 88, 'use_n_hfs', 12, ...
	     'show_steps', 10, 'dbg', 10, ...
	     'cachedir', '../data/vidcache'};

para = id_initParams(changePara{:});

[hid, tr] = t_trainHid(trims.l, trims.s, trims.d, changePara{:});

% save hid and tr to cache... 
id_writeCache(tr, ['trainingData' num2str(tr.hfbase_tag) ...
		   '_' num2str(tr.match_tag)], para); 
id_writeCache(hid, ['hidModel' num2str(hid.para.hfbase_tag) ...
		    '_' num2str(hid.para.match_tag) ...
		    '_' num2str(hid.para.hid_tag)], para); 
  

% clear tmp variables
clear i j;
