function [pr] = compPR(tscore, fscore, t2fratio)
% compPR   compute precision-recall values 
%
% [pr] = compPR(tscore, fscore, t2fratio)
%
% 

  if(nargin<3 | ~any(t2fratio))
    t2fratio = prod(size(tscore))/prod(size(fscore));
  end
  
  minval = min(min(tscore(:)), min(fscore(:)));
  maxval = max(max(tscore(:)), max(fscore(:)));
  
  Rpts = [minval-1 sort(makerow(tscore)) maxval+1];
  fh = histc(makerow(fscore), [Rpts]);
  ct = [0 (1:(length(Rpts)-2)) length(Rpts)-2]/(length(Rpts)-2);
  cf = cumsum(fh(end:-1:1))/sum(fh);

  P  = (ct+eps)./(ct+cf*t2fratio+eps);
  R  = (ct+eps)/max(ct);
  pr = [P' R']; 
