function [llrs, pr] = drawPRCurve(res, n, linenum, t2fratio, fignum)
% drawPRCurve   draw a precision-recall curve from a results
%
% [llrs, pr] = drawPRCurve(res, n, linenum, fignum)
%
% res - each identification result (output of c_eval) is stored in 
%       res{i}(j,k) where i=1 or 2
% n - use up to n patches
% linenum - the curve number from 1 (first curve drawn on this plot)
% t2fratio - true to false ratio (e.g. 1/15)
% fignum - the figure number to use 
  
  for i=1:2
    for j=1:size(res{i},1)
      for k=1:size(res{i},2)
	llrs{i}(j,k) = sum(res{i}(j,k).llr(1:min(n,end)));
      end
    end
  end
  
  pr = compPR(llrs{1}, llrs{2}, t2fratio);
  
  if(nargin>4)
    figure(fignum);
  end
  
  if(linenum==1)
    clf;
  end
  
  hold on;
  global ExpParam;
  mplot(pr(:,2), pr(:,1), ExpParam.cols{mod(linenum-1,12)+1}); grid on;
  
  