function hfbase = hf_compBase(pyr, p, para)
% hf_compBase   compute base (raw+derived) hyper-features 
%
% hfbase = hf_compBase(pyr, p, para)
%
% These can be computed without normalization or feature selection
% (which are computed during the training step).
 
  ;
  % check if this has been precomputed already...
  if(isfield(pyr{1}, 'pat') & isfield(pyr{1}.pat, 'hfbase') & ...
    pyr{1}.pat.hfbase_tag==para.hfbase_tag)
    hfbase=pyr{1}.pat.hfbase;
    if(para.cache_verbose)
      mdisp('Using Stored Base HFs for ', pyr{1}.name);
    end
    return;
  end
   
  raw = hf_compRaw(pyr, p, para); 
  der = hf_compDerived(pyr, raw, para);
  hfbase = mergeStructs(raw,der);
