function [der] = hf_compDerived(pyr, raw, rawnames, para)
% hf_compDerived   computes predefined functions of raw hyper-features  
%
% [der] = hf_compDerived(raw, rawnames, para)
%   
% this is the place for random functions that are not simply higher order
% terms. These are quite hack-ish... 
  
  % diagonal energy = max of Df and Db
  der.Dd = max(raw.Df,raw.Db);
  
  % horizontal vs. vertical
  der.Hv = min(4, max(-4, log(raw.Dh./raw.Dv)));
  % horizontal vs. diagonal:
  der.Hd = min(4, max(-4, log(raw.Dh./der.Dd)));
  % vertical vs. diagonal:
  der.Vd = min(4, max(-4, log(raw.Dv./der.Dd)));
  
  % horizontal vs. the others:
  der.Ho = min(der.Hv, der.Hd);

  % absolute value of position (useful when objects are on average symetric)
  der.Ax = abs(raw.Px);
  der.Ay = abs(raw.Py);
