function hfs = hf_compSelect(hfbase, selterms, para)
% hf_compSelect   takes the base hyper-features and selects h-fs to use
% 
% hfs = hf_compSelect(hfbase, selterms, para)
%
% selterms - structure that defines the "selected" hyper-features
  
  ;
  %populate local environment with hfbase fields and values....
  %fn = fieldnames(hfbase);
  %hfbc = struct2cell(hfbase);
  %[fn{:}] = deal(hfbc{:});
    
  hfs = struct(''); 
  % compute higher order terms
  for i=1:length(selterms)
    fn='';
    expr = '';
    for j=1:length(selterms(i).vars)
      expr = [expr '* hfbase.' selterms(i).vars{j} ' '];
      fn = [fn selterms(i).vars{j}];
    end
    expr(1)='(';
    expr = [expr ').^' num2str(selterms(i).exp)];
    fn = [fn num2str(selterms(i).exp)];
    
    hfs = setfield(hfs, {1}, fn, eval(expr));
  end

  if(para.show_steps>0)
    mdisp('Using Hyper-Features: ', fieldnames(hfs)'); 
  end