function rho = mi_compRhoFromHFdiff(hfdif, rhomodel)
% mi_compRhoFromHFdiff  compute rho estimate from hfdif given a linear model
%
% rho = mi_compRhoFromHFdiff(hfdif, rhomodel)
%
% hfdif - n x k matrix
% rhomodel - k x 1 vector of linear coeficients
%
% rho - n x 1 vector of rho values, 1 for each row (pair of patches) 
  
  % the linear model part
  y = hfdif * rhomodel;
  
  % use a sigmoid link function between y and nu
  rho = sigmoid(y, 0, 1);
  