% startVID   Startup script for VID distribution (call to set up path, etc.) 
% 
% This scrip clears all variables, closes all windows, and sets up the patch to
% include all of the subdirectories.  Execute this from the base directory of
% the VID distribution (it uses the current path as returned by "pwd").

% VID: a visual identification package
% (C) Andras Ferencz, 2005

close all;
clear all;
path(pathdef);
addpath(genpath(pwd));
format compact;
%more on;

global ExpParam;
ExpParam.colsC = {'r','g','b','c','m','y','k','r-.','g-.','b-.','c-.','m-.','y-.','k-.'};
ExpParam.colsCNY = {'r','g','b','c','m','k','r-.','g-.','b-.','c-.','m-.','k-.'};
ExpParam.colsGL = {'g-','g:','g-.','g--','y-','y:','y-.','y--','c-','c:','c-.','c--','k-','k:','k-.','k--'};
ExpParam.colsGD = {'g.-','go-','gx-','g<-','y+-','ys-','yd-','y>-','c.-','co-','cx-','cv-','k+-','ks-','kd-','k^-'};
ExpParam.colsCD = {'r.-','go-','bx-','c<-','m+-','ys-','kd-','r>-','g.-','bo-','cx-','mv-','y+-','ks-','rd-.','g^-.'};
ExpParam.cols = ExpParam.colsCNY;
ExpParam.marks = {'o','x','<','+','s','d','>','.','v','^','h','p'};

ExpParam.linew = 4;
ExpParam.fontsize = 18;
ExpParam.markersize = 20;
% printwhat = fig, im, or both, none;
ExpParam.printwhat = 'both';
ExpParam.printto = '-djpeg98';
ExpParam.printopt = {'-r62'};
ExpParam.FigDir = '../data/figs';
