function m = t_matchAllPatches(lpyr, rpyr, p, para)
% t_matchAllPatches  match all patches p from left to right pyramid
% 
% m = t_matchAllPatches(lpyr, rpyr, p, para)

  % try to read from cache
  if(length(para.cachedir))
    s = id_readCache(['match' lpyr{1}.name '_' rpyr{1}.name], para);
    if(length(s) & s.match_tag==para.match_tag)
      m = s.m;
      return;
    end
  end
  
  for i=1:size(p,1)
    m(i,:) = id_matchPatch(lpyr, rpyr, p(i,:), para);
  end
  
  % write back to cache
  s.match_tag=para.match_tag;
  s.m=m;
  id_writeCache(s, ['match' lpyr{1}.name '_' rpyr{1}.name], para);
  