function alpha = t_trainGLM(hfsel, da, para, sord)
% t_trainGLM  train a GLM to fit da conditioned on the selected hyper-features 
%
% alhpa = t_trainGLM(hfsel, da, para)
  
  C = struct2cell(hfsel);  
  hf = cat(2, C{:});
  
  X(:, 2:size(hf,2)+1 ) = repmat(hf, [size(da,3) 1]);
  X(:,1)=1;
  y = da(:);
  
  [alpha,muim,vim] = t_fitGLM(X, y, para);
  alpha.vars = fieldnames(hfsel);

  if(para.show_glm_opt>0)
    subp=0; titl='';
    if(nargin>3)
      subp = (sord~=0);
      titles = {'same','diff'};
      titl = titles{subp+1};
    end
    
    fnames = {'Const', alpha.vars{:}};
    figure(para.show_glm_opt);
    h = subplot(2,2,1+subp*2);
    imagesc(muim); colorbar;
    set(h, 'YTick', (1:size(muim,1)), 'YTickLabel', fnames); 
    xlabel('Optim steps');
    title([titl ' mu']);

    subplot(2,2,2+subp*2);
    imagesc(vim); colorbar;
    xlabel('Optim steps');
    title([titl ' v']);
    drawnow;
  end
  