function para = id_initParams(varargin)
% id_initParams   initializes vid parameters  
%
% para = id_initParams(changed_paramters...)
% 
% changed_paramters... : < 'name', value > pairs which change
% the default values. 
% 
% example: 
% para = id_initParams('hfbase_tag', 5, 'im_margin', [15 15]);
  
  % parameters
  para = makeParams('hfbase_tag', 1, ...
		    'match_tag', 1, ...
		    'hid_tag', 1, ...
		    'cachedir', '../data/vidcache',...
		    'cache_verbose', 0, ...
		    'pyr_scales', [1 0.5], ...
		    'im_margin', [10 10], ...
		    'patch_radius', [12 6; 9 9], ...
		    'patch_spacing', [12 8; 9 9], ...
		    'search_radius', [10 10], ...
		    'hf_mI_rect_frac', [0.25 0.75 0.25 0.75], ...
		    'max_exp', 3, ...
		    'use_n_hfs', 12, ...
		    'num_fit_iter', 2, ...
		    'show_glm_opt', 0, ...
		    'use_mi_lut', 1,...
		    'std_lim', [], ...
		    'max_patches_in_c', 20, ...
		    'min_mu', 0.05, ...
		    'min_v', 0.8, ...
		    'min_info', 0.05, ...
		    'llr_lim', [-2 6], ...
		    'show_steps', 0, ...
		    'dbg', 0, ...
		    varargin{:});
  
  if(length(para.cachedir))
    [dp, dn] = fileparts(para.cachedir);
    success = mkdir(dp, dn);
    assert(success, ['id_initParams: Could not create chache directory ' para.cachedir ]);
  end
		    
		    