function pyr = id_prepImCache(im, default_name, para)
% id_prepImCache  calls prepIm only if pyr was not found in cache
%
% pyr = id_prepImCache(im, default_name, para)
%
% cache file will be : [para.cachedir '/pyr ', name, '.mat']
% where name = default_name if im is not an image filename
  
  % if im is a string (or cell string) pick name based on filename
  if(isstr(im)) 
    [junk,name,junk] = fileparts(im);
  elseif(iscell(im) & isstr(im{1}))
    [junk,name,junk] = fileparts(im{1});
  else % else we use the default name given
    name = default_name;
  end
  name(name=='*')='x';
  
  % check if this pyr is already in the cache
  pyr = id_readCache(['pyr' name], para);
  if(length(pyr))
    return;
  end

  % no, the compute it
  pyr = id_prepIm(im, para, 'name', name);

  % write it to the cache
  id_writeCache(pyr, ['pyr' name], para);
  